# coding=utf-8
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2020 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENCE.TXT
#

# pylint: disable=no-absolute-import

import socket
import logging

def get_hostname():
    try:
        return socket.gethostname()
    except Exception:
        logging.exception('Cannot obtain hostname for server')
    return None

def get_ip_addr(hostname):
    try:
        return socket.gethostbyname(hostname)
    except socket.error:
        logging.exception('Cannot get IP address for server')
    return None
